<apex:page controller="FM_DispatchViewNewController" tabStyle="Dispatch_View__tab" title="Dispatch View" docType="html-5.0">


    <apex:includeScript value="//ajax.googleapis.com/ajax/libs/jquery/1.9.1/jquery.min.js" />

    <style type="text/css">
        .loading-icon
        {
           background-image: url(/img/loading.gif);
           width: 16px;
           height: 16px;
        }
        .searchLabel
        {
            font-weight: bold;
            text-align: right;
            padding-left: 10px;
            padding-top: 3px;
            white-space: nowrap;
        }
        .searchValue
        {
            padding-left: 5px;
            padding-right: 10px;
            vertical-align: middle;
            white-space: nowrap;
        }
        .sectionCaption
        {
            font-weight: bold;
            font-size: 12pt;
        }
        .numberInTable
        {
            padding-right: 4px;
        }
        .bigButton
        {
            height: 70px;
            width: 120px;
            background-image: none !important;
            font-size: 18px !important;
            background-color: lightgrey;
            cursor: default;
            white-space: normal;
        }
        .bigButtonOnMouseOver
        {
            height: 70px;
            width: 120px;
            background-image: none !important;
            font-size: 18px !important;
            background-color: grey;
            cursor: pointer;
            white-space: normal;
        }
        .requiredBlock
        {
            background-color:#CC0000;
            bottom:1px;
            left:-4px;
            position:absolute;
            top:1px;
            width:3px;
        }
        .requiredInput
        {
            height:100%;
            position:relative;
        }
        .sourGas
        {
            background-color:#FEF200;
        }
        .destinationFacilityAtCapacity {
            background-color: #ff7777;
        }
        .destinationFacilityBelowCapacity {
            background-color: #77ff77;
        }
        .cleanLoad {
            background-color:#0d98ba;
        }

        /*Popup*/
        .custPopup
        {
            background-color: white;
            border-radius: 5px;
            border-style: solid;
            border-width: 1px;
            left: 50%;
            margin-left: -250px;
            padding:10px;
            position: fixed;
            top: 30%;
            width: 450px;
            z-index: 99;
        }
        .custPopup .apexp .bPageBlock .pbHeader table {
            padding: 0px;
        }
        .custPopup .apexp .bPageBlock .pbHeader table td.pbTitle {
            width: 100%;
        }
        .custPopup .apexp .bPageBlock .pbBody,
        .custPopup .apexp .bPageBlock .pbBottomButtons {
            margin:  0px !important;
            white-space: normal;
        }
        .custPopup .popupmessage span{
            height: 100%;
            overflow: auto;
        }
        .popupBackground{
            background-color:black;
            filter: alpha(opacity = 20);
            height: 100%;
            left: 0;
            opacity: 0.20;
            position: absolute;
            top: 0;
            width: 100%;
            z-index: 98;
        }
   </style>

    <script>
        j$ = jQuery.noConflict();
        formChanged = false;

        j$(document).on("keypress", 'form', function (e) {
            var code = e.keyCode || e.which;
            if (code == 13) {
                e.preventDefault();
                return false;
            }
        });

        function setFocusOnLoad() {}

        function ConfirmCancellingLoads(statusValueElement) {
            var e = document.getElementById(statusValueElement);
            if (e.options[e.selectedIndex].value == 'Cancelled') {
                c = confirm('Cancellation of the truck trip will result in cancellation of the load and the load cannot be rebooked. You will have to create a new Load Request to rebook the load.');
                if (c) {
                    MassUpdateAction();
                } else {
                    return false;
                }
            }
        }
    </script>

    <!--  KK 2015-05-21 need to wrap the sectionHeader inside outputPanel otherwise reRender does not work -->
    <apex:outputPanel id="dispatchViewDateAndRoute">
        <apex:sectionHeader title="Dispatch View {!DipsatchViewSearchTitle}" />
    </apex:outputPanel>

    <apex:form id="theForm">

        <apex:actionstatus id="ajaxStatus">
            <apex:facet name="start">

                <div class="waitingSearchDiv" id="el_loading" style="background-color: #DCD6D6; height: 100%;opacity:0.65;width:100%;">
                    <div class="waitingHolder" style="top: 150px; width: 200px; height: 40px; border:1px solid black;  background-color: white;">
                        <p>
                            <img class="waitingImage" src="/img/loading.gif" title="Please Wait..." />
                            <span class="waitingDescription">Please Wait...</span>
                        </p>
                    </div>
                </div>

            </apex:facet>
        </apex:actionstatus>

        <apex:pageBlock mode="inlineEdit" id="pageBlock">
            <apex:pageBlockSection columns="1" id="criteriaSection">
                <apex:outputPanel >
                     <fieldset style="width:70%">
                        <legend class="sectionCaption"> Search Criteria </legend>

                        <table style="width: 100%">
                            <tr>
                                <td style="width: 75%">
                                    <table>
                                        <tr>
                                            <td class="searchLabel">Routes</td>
                                            <td class="searchValue" rowspan="3">
                                                <apex:outputPanel id="RoutePanel" layout="block" styleClass="requiredInput">
                                                    <apex:outputPanel layout="block" styleClass="requiredBlock" />
                                                    <apex:selectList size="8" value="{!currentPageFilter.searchRoutes}" multiselect="true" style="width: 90px;">
                                                        <apex:selectOptions value="{!routeSelectOptionList}" />
                                                        <apex:actionSupport event="onchange" reRender="dispatchViewDateAndRoute, locationSearch" />
                                                    </apex:selectList>
                                                </apex:outputPanel>
                                            </td>
                                            <td class="searchLabel">Run Sheet Date</td>
                                            <td class="searchValue">
                                                <apex:outputPanel layout="block" styleClass="requiredInput">
                                                    <apex:outputPanel layout="block" styleClass="requiredBlock"/>
                                                    <apex:input value="{!currentPageFilter.runSheetDate}" type="date" >
                                                        <apex:actionSupport event="onchange" reRender="locationSearch">
                                                            <apex:param assignTo="{!searchRunSheetDate}" value="{!currentPageFilter.runSheetDate}"/>
                                                        </apex:actionSupport>
                                                    </apex:input>
                                                </apex:outputPanel>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td colspan="2">&nbsp;</td>
                                            <td class="searchLabel">Product</td>
                                            <td class="searchValue">
                                                <apex:selectList size="1" value="{!currentPageFilter.product}">
                                                    <apex:selectOption itemValue="" itemLabel="--All--" />
                                                    <apex:selectOptions value="{!productSelectOptionList}" />
                                                </apex:selectList>
                                            </td>
                                            <td class="searchLabel">Unit Configuration</td>
                                            <td class="searchValue">
                                                <apex:selectList size="1" value="{!currentPageFilter.axle}">
                                                    <apex:selectOption itemValue="" itemLabel="--All--" />
                                                    <apex:selectOptions value="{!axleSelectOptionList}" />
                                                </apex:selectList>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td colspan="2">&nbsp;</td>
                                            <td class="searchLabel">Status</td>
                                            <td class="searchValue">
                                                <apex:selectList size="1" value="{!currentPageFilter.truckTripStatus}">
                                                    <apex:selectOption itemValue="" itemLabel="--All--" />
                                                    <apex:selectOptions value="{!statusSelectOptionListForSearch}" />
                                                </apex:selectList>
                                            </td>
                                            <td class="searchLabel">Shift</td>
                                            <td class="searchValue">
                                                <apex:selectList size="1" value="{!currentPageFilter.shift}">
                                                    <apex:selectOption itemValue="" itemLabel="--All--" />
                                                    <apex:selectOptions value="{!shiftSelectOptionForFilter}" />
                                                </apex:selectList>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td colspan="2">&nbsp;</td>
                                            <!-- <td class="searchLabel">Location</td>
                                            <td class="searchValue">
                                                <apex:outputPanel id="locationSearch">
                                                    <apex:selectList size="1" value="{!currentPageFilter.searchLocation}" style="width: 200px;">
                                                        <apex:selectOption itemValue="" itemLabel="--All--" />
                                                        <apex:selectOptions value="{!locationSelectOptionList}" />
                                                    </apex:selectList>
                                                </apex:outputPanel>
                                            </td> -->
                                            <td class="searchLabel">Facility</td>
                                            <td class="searchValue">
                                                <apex:selectList size="1" value="{!currentPageFilter.searchFacility}">
                                                    <apex:selectOption itemValue="" itemLabel="--All--" />
                                                    <apex:selectOptions value="{!facilitySelectOptionList}" />
                                                </apex:selectList>
                                            </td>
                                        </tr>
                                    </table>
                                </td>
                                <td style="vertical-align:middle">
                                    <apex:commandButton styleClass="bigButton" onmouseover="this.className='bigButtonOnMouseOver'" onmouseout="this.className='bigButton'"
                                        value="Search" action="{!SearchTruckTrips}"
                                        rerender="pageMessages,resultTable,dispatchViewDateAndRoute, massUpdateDiv" status="ajaxStatus" />
                                    <br/>
                                    <apex:commandButton styleClass="bigButton" onmouseover="this.className='bigButtonOnMouseOver'" onmouseout="this.className='bigButton'"
                                        value="Add Load Requests" action="{!AddLoadRequestsRedirect}"
                                        rerender="pageMessages,resultTable,dispatchViewDateAndRoute, massUpdateDiv" status="ajaxStatus" />
                                </td>
                            </tr>
                        </table>
                    </fieldset>
                    <br/>

                    <apex:outputPanel id="massUpdateDiv">
                        <fieldset style="width:70%">
                            <legend class="sectionCaption">Mass Update</legend>
                            <table style="width:100%">
                                <tr>
                                    <td style="width:80%;vertical-align:middle">
                                        <table>
                                            <tr>
                                                <td class="searchLabel">
                                                    <apex:outputText style="font-weight:bold" value="Mass Update the "/>
                                                    <apex:outputPanel id="massUpdatePanel" >
                                                        <apex:selectList value="{!applyItem}" size="1">
                                                            <apex:selectOption itemValue="" itemLabel="--None--" />
                                                            <apex:selectOption itemValue="facility" itemLabel="Destination - Facility" />
                                                            <apex:selectOption itemValue="unit" itemLabel="Unit #" />
                                                            <apex:selectOption itemValue="shift" itemLabel="Shift" />
                                                            <apex:selectOption itemValue="status" itemLabel="Status" />
                                                            <apex:actionSupport action="{!UpdateDependentFilter}" event="onchange" reRender="massUpdatePanel,massUpdateButton" status="ajaxStatus" />
                                                        </apex:selectList>
                                                        <apex:outputText style="font-weight:bold" value=" information for the selected loads to " />
                                                        <apex:selectList id="dependentFilter" value="{!valueSelected}" size="1" 
                                                                        disabled="{!OR( applyItem == '',
                                                                                        truckTripSetController.resultsize = 0,
                                                                                        currentPageFilter.runSheetDate = null,
                                                                                        (!runSheetDateTodayInd && !runSheetDateOldButBeforeDeadlineInd))}">
                                                            <apex:selectOption itemvalue="" itemLabel="--None--" />
                                                            <apex:selectOptions value="{!picklistToDisplay}" />
                                                            <apex:actionSupport event="onchange" reRender="massUpdatePanel,massUpdateButton" />
                                                        </apex:selectList>
                                                        <apex:outputPanel rendered="{!applyItem = 'status' && valueSelected == 'Cancelled'}">
                                                            &nbsp;Enter cancellation reason:&nbsp;
                                                            <apex:selectList id="massUpdateCancelReasonInput" value="{!massUpdateCancelReason}" size="1" >
                                                                <apex:selectOptions value="{!LoadRequestCancelReasons}" />
                                                                <apex:actionSupport event="onchange" action="{!handleCancelReasonChange}" reRender="massUpdatePanel,massUpdateButton" />
                                                            </apex:selectList>
                                                        </apex:outputPanel>
                                                        <apex:outputPanel rendered="{!applyItem = 'status' && valueSelected == 'Cancelled' && massUpdateCancelReason == 'Other'}">
                                                            
                                                            <apex:inputText value="{!massUpdateCancelComments}"/>
                                                        </apex:outputPanel>
                                                    </apex:outputPanel>
                                                    <!--
                                                        Apply&Save button works for entering valid cancel reason for mass update
                                                    -->
                                                    <apex:outputPanel id="massUpdateButton">
                                                        <apex:commandButton value="Apply & Save"   rendered="{!applyItem != 'status' || valueSelected != 'Cancelled'}" disabled="{!OR( applyItem == '', 
                                                        (applyItem = 'status' && valueSelected == 'Cancelled' && massUpdateCancelReason == 'Other' && ISBLANK(massUpdateCancelComments)),truckTripSetController.resultsize = 0,currentPageFilter.runSheetDate = null,(applyItem == 'shift' || applyItem == 'status') && valueSelected == '',(!runSheetDateTodayInd && !runSheetDateOldButBeforeDeadlineInd))}" action="{!MassUpdateData}" reRender="resultTable,pageMessages,massUpdatePanel,massUpdateButton" status="ajaxStatus"/>
                                                        <apex:outputPanel rendered="{!applyItem = 'status' && valueSelected == 'Cancelled'}">
                                                            <input type="Button" class="btn" value="Apply & Save" onclick="return ConfirmCancellingLoads('{!$Component.dependentFilter}');" />         <apex:actionFunction name="MassUpdateAction" action="{!MassUpdateData}" reRender="resultTable,pageMessages,massUpdatePanel,massUpdateButton" status="ajaxStatus" />
                                                        </apex:outputPanel>
                                                    </apex:outputPanel>
                                                </td>
                                            </tr>
                                        </table>
                                    </td>
                                </tr>
                            </table>
                        </fieldset>
                    </apex:outputPanel>

                </apex:outputPanel>
            </apex:pageBlockSection>
        </apex:pageBlock>

        <apex:pageMessages id="pageMessages" rendered="true"/>
        <apex:outputPanel style="display:none" styleClass="WarningMessage">
<!--             <apex:pageMessage
                title="Warning"
                detail="Some of the truck trips have changes! Navigating to next or previous page will SAVE your changes..."
                severity="warning"
                strength="2"
                /> -->

        </apex:outputPanel>
        <apex:outputPanel id="resultTable" >
            <apex:outputText value="There are no loads to display.  Please modify your Search Criteria and try again." style="padding-left:10px" rendered="{!truckTripSetController.resultsize <= 0}" />
            <apex:outputText value="{!ResultsStats}" style="padding-left:10px" rendered="{!(truckTripSetController.resultsize > 0)}"/>
            <apex:pageBlock id="resultTable2" rendered="{!(truckTripSetController.resultsize > 0)}">

                <!--
                    Script to detect changes to the form and warn the user that the data will be saved
                    if they make changes and hit First, Previous, Next or Last button
                -->
                <script type="text/javascript">
                    j$ = jQuery.noConflict();

                    j$(document).ready( function(jQuery) {
                        // listen to onchange event in case of dropdowns (picklists) change on the form
                        // register changes to formChange
                        j$('.changeDropdown').on('change', function() {
                            formChanged = true;
                        });


                        // listen to keypress event in case of comments (textarea) change on the form
                        // register changes to formChange
                        j$('.changeTextarea').on('keypress', function() {
                            formChanged = true;
                        });


                        // changes made are being reset after clicking save button or mass update
                        resetFormChanged = function(){
                            formChanged = false;
                        };

                        pageAction = function(buttonClicked) {
                            if (formChanged) {
                                // call desired method to perform action
                                // otherwise do nothing
                                if(confirm('Save changes to trucktrips?') == true) {
                                    // reset formChanged because the page is not reloaded
                                    formChanged = false;
                                    if      (buttonClicked == 'first')     CallFirst();
                                    else if (buttonClicked == 'previous')  CallPrevious();
                                    else if (buttonClicked == 'next')      CallNext();
                                    else if (buttonClicked == 'last')      CallLast();
                                }
                            } else {
                                // default navigation buttons function in case no change in the form is made
                                if      (buttonClicked == 'first')     CallFirst();
                                else if (buttonClicked == 'previous')  CallPrevious();
                                else if (buttonClicked == 'next')      CallNext();
                                else if (buttonClicked == 'last')      CallLast();
                            }
                            // disable default submit behavior to prevent page reload
                            return false;
                        };
                    });
                </script>

                <apex:actionFunction name="CallFirst"       action="{!GoFirst}"             rerender="resultTable" status="ajaxStatus" />
                <apex:actionFunction name="CallPrevious"    action="{!GoPrevious}"          rerender="resultTable" status="ajaxStatus" />
                <apex:actionFunction name="CallNext"        action="{!GoNext}"              rerender="resultTable" status="ajaxStatus" />
                <apex:actionFunction name="CallLast"        action="{!GoLast}"              rerender="resultTable" status="ajaxStatus" />

                <table style="width:50%" >
                    <tr>
                        <td style="width:50%;vertical-align:middle">
                            <apex:commandButton disabled="{!!truckTripSetController.hasPrevious}" value="First" onclick="return pageAction('first');"/>
                            <apex:commandButton disabled="{!!truckTripSetController.hasPrevious}" value="Previous" onclick="return pageAction('previous');"/>
                            <apex:commandButton disabled="{!!truckTripSetController.hasNext}" value="Next" onclick="return pageAction('next');"/>
                            <apex:commandButton disabled="{!!truckTripSetController.hasNext}" value="Last" onclick="return pageAction('last');"/>

                        </td>
                        <td>
                            <apex:commandButton value="Save" action="{!SaveTruckTrips}" disabled="{!OR(truckTripSetController.resultsize = 0, !runSheetDateTodayInd && !runSheetDateOldButBeforeDeadlineInd) && !isExportedTruckTrips}"
                                status="ajaxStatus" reRender="resultTable,pageMessages" oncomplete="resetFormChanged()" style="background-image: none !important; background-color: orange;"/>
                        </td>
                    </tr>
                </table>

                <apex:pageBlockTable id="pbt" value="{!CurrentTruckTripList}" var="tt" width="100%">
                    <apex:column width="10px" styleClass="{!If(tt.aTruckTrip.Sour__c, 'sourGas', IF(tt.isCleanLoad, 'cleanLoad', ''))}">
                        <apex:facet name="header">
                            <!--<div style="text-align:center;width:1px" >-->
                                <apex:inputCheckbox value="{!selectAllCheckbox}" disabled="{!!runSheetDateTodayInd && !runSheetDateOldButBeforeDeadlineInd && !isExportedTruckTrips}" id="allSelectCheckbox">
                                    <apex:actionSupport event="onchange" action="{!ToggleAllTruckTripCheckboxes}" reRender="resultTable" status="ajaxStatus"/>
                                </apex:inputCheckbox>
                            <!--</div>-->
                        </apex:facet>
                        <div style="text-align:center;width:1px" id="truckListCheckBoxes">
                            <apex:inputCheckbox value="{!tt.aCheckBox}" id="chkSelection"
                                disabled="{!OR(!runSheetDateTodayInd && (!runSheetDateOldButBeforeDeadlineInd || tt.aTruckTrip.Shift__c <> 'Day'), tt.aTruckTrip.Truck_Trip_Status__c == TRUCKTRIP_STATUS_CANCELLED) && tt.aTruckTrip.Truck_Trip_Status__c != 'Exported'}">
                                <apex:actionSupport event="onchange" action="{!clearAllSelectCheckbox}" reRender="allSelectCheckbox">
                                    <apex:param name="checkboxValue" value="{!!tt.aCheckBox}" />
                                </apex:actionSupport>
                            </apex:inputCheckbox>
                        </div>
                    </apex:column>
<!-- Route -->
                    <apex:column width="50px" style="white-space: nowrap" styleClass="{!If(tt.aTruckTrip.Sour__c, 'sourGas', IF(tt.isCleanLoad, 'cleanLoad', ''))}">
                        <apex:facet name="header">
                            <apex:commandLink action="{!SortToggle}" reRender="resultTable" status="ajaxStatus">
                                <apex:param name="SortField" value="Route__c" assignTo="{!sortOptions.sortField}" />
                                {!$ObjectType.FM_Run_Sheet__c.Fields.Route__c.Label} {!If(sortOptions.sortField == 'Route__c', If(Begins(sortOptions.sortDirection, 'asc'), '▲', '▼'), '')}
                            </apex:commandLink>
                        </apex:facet>
                        {!tt.aTruckTrip.Route__c}
                    </apex:column>
<!-- Load Request -->
                    <apex:column width="50px" style="white-space: nowrap" styleClass="{!If(tt.aTruckTrip.Sour__c, 'sourGas', IF(tt.isCleanLoad, 'cleanLoad', ''))}">
                        <apex:facet name="header">
                            <apex:commandLink action="{!SortToggle}" reRender="resultTable" status="ajaxStatus">
                                <apex:param name="SortField" value="Load_Request__r.Name" assignTo="{!sortOptions.sortField}" />
                                {!$ObjectType.FM_Load_Request__c.Label} {!If(sortOptions.sortField == 'Load_Request__r.Name', If(Begins(sortOptions.sortDirection, 'asc'), '▲', '▼'), '')}
                            </apex:commandLink>
                        </apex:facet>
                        <apex:outputPanel >
                            <apex:outputField value="{!tt.aTruckTrip.Load_Request__c}" label="{!tt.aTruckTrip.Load_Request__r.Name}" />
                        </apex:outputPanel>
                    </apex:column>
<!-- Low Level -->
                    <apex:column width="5px" style="text-align:right" styleClass="{!If(tt.aTruckTrip.Sour__c, 'sourGas', IF(tt.isCleanLoad, 'cleanLoad', ''))}">
                        <apex:facet name="header">
                            <apex:commandLink action="{!SortToggle}" reRender="resultTable" status="ajaxStatus" style="width:5px">
                                <apex:param name="SortField" value="Load_Request__r.Equipment_Tank__r.Low_Level__c" assignTo="{!sortOptions.sortField}" />
                                {!$ObjectType.Equipment_Tank__c.fields.Low_Level__c.Label} <br/>(m3) {!If(sortOptions.sortField == 'Load_Request__r.Equipment_Tank__r.Low_Level__c', If(Begins(sortOptions.sortDirection, 'asc'), '▲', '▼'), '')}
                            </apex:commandLink>
                        </apex:facet>
                        <apex:outputPanel styleClass="numberInTable">
                            {! IF(tt.aTruckTrip.Load_Request__r.Equipment_Tank__c == null, tt.aTruckTrip.Load_Request__r.Tank_Low_Level__c, tt.aTruckTrip.Load_Request__r.Equipment_Tank__r.Low_Level__c)}
                        </apex:outputPanel>
                    </apex:column>
<!-- Tank Level -->
                    <apex:column width="5px" style="text-align:right" styleClass="{!If(tt.aTruckTrip.Sour__c, 'sourGas', IF(tt.isCleanLoad, 'cleanLoad', ''))}">
                        <apex:facet name="header">
                            <apex:commandLink action="{!SortToggle}" reRender="resultTable" status="ajaxStatus">
                                <apex:param name="SortField" value="Load_Request__r.Act_Tank_Level__c" assignTo="{!sortOptions.sortField}" />
                                Tank Level<br/>(m3) {!If(sortOptions.sortField == 'Load_Request__r.Act_Tank_Level__c', If(Begins(sortOptions.sortDirection, 'asc'), '▲', '▼'), '')}
                            </apex:commandLink>
                        </apex:facet>
                        <apex:outputPanel styleClass="numberInTable">
                            {!tt.aTruckTrip.Load_Request__r.Act_Tank_Level__c}
                        </apex:outputPanel>
                    </apex:column>


<!-- Well Flow Rate -->
                    <apex:column width="5px" style="text-align:right" styleClass="{!If(tt.aTruckTrip.Sour__c, 'sourGas', IF(tt.isCleanLoad, 'cleanLoad', ''))}">
                        <apex:facet name="header">
                            <apex:commandLink action="{!SortToggle}" reRender="resultTable" status="ajaxStatus">
                                <apex:param name="SortField" value="Load_Request__r.Act_Flow_Rate__c" assignTo="{!sortOptions.sortField}" />
                                Well Flow <br/>Rate (m3) {!If(sortOptions.sortField == 'Load_Request__r.Act_Flow_Rate__c', If(Begins(sortOptions.sortDirection, 'asc'), '▲', '▼'), '')}
                            </apex:commandLink>
                        </apex:facet>
                        <apex:outputPanel styleClass="numberInTable">
                            {!tt.aTruckTrip.Load_Request__r.Act_Flow_Rate__c}
                        </apex:outputPanel>
                    </apex:column>
<!-- Flowline Volume -->
                    <apex:column width="5px" style="text-align:right" styleClass="{!If(tt.aTruckTrip.Sour__c, 'sourGas', IF(tt.isCleanLoad, 'cleanLoad', ''))}">
                        <apex:facet name="header">
                            <apex:commandLink action="{!SortToggle}" reRender="resultTable" status="ajaxStatus">
                                <apex:param name="SortField" value="Load_Request__r.Flowline_Volume__c" assignTo="{!sortOptions.sortField}" />
                                Flowline <br/>Volume {!If(sortOptions.sortField == 'Load_Request__r.Flowline_Volume__c', If(Begins(sortOptions.sortDirection, 'asc'), '▲', '▼'), '')}
                            </apex:commandLink>
                        </apex:facet>
                        <apex:outputPanel styleClass="numberInTable">
                            {!tt.aTruckTrip.Load_Request__r.Flowline_Volume__c}
                        </apex:outputPanel>
                    </apex:column>
<!-- Scada Tank Level -->
                    <apex:column width="5px" style="text-align:right" styleClass="{!If(tt.aTruckTrip.Sour__c, 'sourGas', IF(tt.isCleanLoad, 'cleanLoad', ''))}">
                        <apex:facet name="header">
                            <apex:commandLink action="{!SortToggle}" reRender="resultTable" status="ajaxStatus">
                                <apex:param name="SortField" value="Load_Request__r.Equipment_Tank__r.SCADA_Tank_Level__c" assignTo="{!sortOptions.sortField}" />
                                Scada Tank
                                <br/>
                                Level {!If(sortOptions.sortField == 'Load_Request__r.Equipment_Tank__r.SCADA_Tank_Level__c', If(Begins(sortOptions.sortDirection, 'asc'), '▲', '▼'), '')}
                            </apex:commandLink>
                        </apex:facet>
                        <apex:outputPanel styleClass="numberInTable">
                            <apex:outputText value="{!CEILING(tt.aTruckTrip.Load_Request__r.Equipment_Tank__r.SCADA_Tank_Level__c)}" />
                            <br />
                            <apex:outputField value="{!tt.aTruckTrip.Load_Request__r.Equipment_Tank__r.Latest_Tank_Reading_Date__c}"/>
                        </apex:outputPanel>
                    </apex:column>

<!-- Product -->
                    <apex:column width="50px" style="white-space: nowrap;text-align:center" styleClass="{!If(tt.aTruckTrip.Sour__c, 'sourGas', IF(tt.isCleanLoad, 'cleanLoad', ''))}">
                        <apex:facet name="header">
                            <apex:commandLink action="{!SortToggle}" reRender="resultTable" status="ajaxStatus">
                                <apex:param name="SortField" value="Product__c" assignTo="{!sortOptions.sortField}" />
                                {!$ObjectType.FM_Truck_Trip__c.Fields.Product__c.Label} {!If(sortOptions.sortField == 'Product__c', If(Begins(sortOptions.sortDirection, 'asc'), '▲', '▼'), '')}
                            </apex:commandLink>
                        </apex:facet>
                        {!tt.aTruckTrip.Product__c}
                    </apex:column>
<!-- Load Type -->
                    <apex:column width="5px" styleClass="{!If(tt.aTruckTrip.Sour__c, 'sourGas', IF(tt.isCleanLoad, 'cleanLoad', ''))}">
                        <apex:facet name="header">
                            <apex:commandLink action="{!SortToggle}" reRender="resultTable" status="ajaxStatus">
                                <apex:param name="SortField" value="Load_Type__c" assignTo="{!sortOptions.sortField}" />
                                Load Type {!If(sortOptions.sortField == 'Load_Type__c', If(Begins(sortOptions.sortDirection, 'asc'), '▲', '▼'), '')}
                            </apex:commandLink>
                        </apex:facet>

                        <apex:selectList id="TankLoadType" value="{!tt.aTruckTrip.Load_Type__c}" size="1" label="Load Type"
                                            rendered="{!runSheetDateTodayInd || (runSheetDateOldButBeforeDeadlineInd && tt.aTruckTrip.Shift__c == 'Day') || tt.aTruckTrip.Truck_Trip_Status__c == 'Exported'}"
                                            required="{!tt.aTruckTrip.Load_Request__r.Source_Facility__c != null}" styleClass="changeDropdown"
                                            disabled="{!tt.aTruckTrip.Truck_Trip_Status__c == TRUCKTRIP_STATUS_CANCELLED || tt.aTruckTrip.Truck_Trip_Status__c == TRUCKTRIP_STATUS_GIVENBACK}">
                            <apex:selectOption itemValue="" itemLabel="-- Standard Load --" itemDisabled="{!tt.aTruckTrip.Load_Request__r.Source_Facility__c != null || tt.aTruckTrip.Load_Request__r.Source_Location__r.Fluid_Location_Ind__c == true}" />
                            <apex:selectOptions value="{!tt.lLoadTypes}" />
                            <apex:actionSupport event="onchange" action="{!tt.clearFacility}" status="ajaxStatus" rerender="resultTable" />
                        </apex:selectList>

                        <apex:outputField value="{!tt.aTruckTrip.Load_Type__c}" rendered="{!!runSheetDateTodayInd && (!runSheetDateOldButBeforeDeadlineInd || tt.aTruckTrip.Shift__c <> 'Day') && tt.aTruckTrip.Truck_Trip_Status__c != 'Exported'}" />
                    </apex:column>
<!-- Comments -->
                    <apex:column width="5px" style="" styleClass="{!If(tt.aTruckTrip.Sour__c, 'sourGas', IF(tt.isCleanLoad, 'cleanLoad', ''))}">
                        <apex:facet name="header">
                            <apex:commandLink action="{!SortToggle}" reRender="resultTable" status="ajaxStatus">
                                <apex:param name="SortField" value="Standing_Comments__c" assignTo="{!sortOptions.sortField}" />
                                Comments {!If(sortOptions.sortField == 'Standing_Comments__c', If(Begins(sortOptions.sortDirection, 'asc'), '▲', '▼'), '')}
                            </apex:commandLink>
                        </apex:facet>

                        <apex:outputpanel id="panelComments" layout="block" styleClass="{!IF(tt.aTruckTrip.Load_Type__c != null, 'requiredInput', '')}">
                            <apex:outputpanel layout="block" styleClass="{!IF(tt.aTruckTrip.Load_Type__c != null, 'requiredBlock', '')}"></apex:outputpanel>
                            <apex:inputTextarea value="{!tt.aTruckTrip.Standing_Comments__c}" rendered="{!runSheetDateTodayInd || (runSheetDateOldButBeforeDeadlineInd && tt.aTruckTrip.Shift__c = 'Day') || tt.aTruckTrip.Truck_Trip_Status__c == 'Exported'}"
                                                styleClass="changeTextarea" disabled="{!tt.aTruckTrip.Truck_Trip_Status__c=TRUCKTRIP_STATUS_CANCELLED || tt.aTruckTrip.Truck_Trip_Status__c == TRUCKTRIP_STATUS_GIVENBACK}" rows="2" />
                        </apex:outputpanel>

                        <apex:outputField value="{!tt.aTruckTrip.Standing_Comments__c}" rendered="{!!runSheetDateTodayInd && (!runSheetDateOldButBeforeDeadlineInd || tt.aTruckTrip.Shift__c <> 'Day') && tt.aTruckTrip.Truck_Trip_Status__c != 'Exported'}" />
                    </apex:column>
<!-- RM Country (added by Marek - 19.5.2016) -->
<!--                     <apex:column width="50px" style="white-space: nowrap" styleClass="{!If(tt.aTruckTrip.Sour__c, 'sourGas', IF(tt.isCleanLoad, 'cleanLoad', ''))}">
                        <apex:facet name="header">
                            <apex:commandLink action="{!SortToggle}" reRender="resultTable" status="ajaxStatus">
                                <apex:param name="SortField" value="Run_Sheet_Lookup__r.RM_County__c" assignTo="{!sortOptions.sortField}" />
                                RM/County {!If(sortOptions.sortField == 'Run_Sheet_Lookup__r.RM_County__c', If(Begins(sortOptions.sortDirection, 'asc'), '▲', '▼'), '')}
                            </apex:commandLink>
                        </apex:facet>
                        <apex:outputPanel styleClass="numberInTable">
                            {!tt.aTruckTrip.Run_Sheet_Lookup__r.RM_County__c}
                        </apex:outputPanel>
                    </apex:column> --> <!-- TODO: Figure out if needed and if so where to populate from since not on Run Sheet anymore -->
<!-- Unit Configuration -->
                    <apex:column width="50px" style="white-space: nowrap" styleClass="{!If(tt.aTruckTrip.Sour__c, 'sourGas', IF(tt.isCleanLoad, 'cleanLoad', ''))}">
                        <apex:facet name="header">
                            <apex:outputPanel >
                                <apex:commandLink action="{!SortToggle}" reRender="resultTable" status="ajaxStatus">
                                    <apex:param name="SortField" value="Unit_Configuration__c" assignTo="{!sortOptions.sortField}" />
                                    Unit<br/>Configuration {!If(sortOptions.sortField == 'Unit_Configuration__c', If(Begins(sortOptions.sortDirection, 'asc'), '▲', '▼'), '')}
                                </apex:commandLink><br/>
                            </apex:outputPanel>
                        </apex:facet>

                        <apex:selectList value="{!tt.aTruckTrip.Axle__c}" size="1" rendered="{!runSheetDateTodayInd || (runSheetDateOldButBeforeDeadlineInd && tt.aTruckTrip.Shift__c = 'Day') || tt.aTruckTrip.Truck_Trip_Status__c == 'Exported'}"
                                            styleClass="changeDropdown" disabled="{!tt.aTruckTrip.Truck_Trip_Status__c == TRUCKTRIP_STATUS_CANCELLED || tt.aTruckTrip.Truck_Trip_Status__c == TRUCKTRIP_STATUS_GIVENBACK}" >
                            <apex:selectOptions value="{!axleSelectOptionList}" />
                        </apex:selectList>
                        <apex:outputField value="{!tt.aTruckTrip.Unit_Configuration__c}" rendered="{!!runSheetDateTodayInd && (!runSheetDateOldButBeforeDeadlineInd || tt.aTruckTrip.Shift__c <> 'Day') && tt.aTruckTrip.Truck_Trip_Status__c != 'Exported'}" />
                    </apex:column>
<!-- Load Weight -->
                   <apex:column width="50px" style="white-space: nowrap" styleClass="{!If(tt.aTruckTrip.Sour__c, 'sourGas', IF(tt.isCleanLoad, 'cleanLoad', ''))}">
                       <apex:facet name="header">
                           <apex:commandLink action="{!SortToggle}" reRender="resultTable" status="ajaxStatus">
                               <apex:param name="SortField" value="Load_Request__r.Load_Weight__c" assignTo="{!sortOptions.sortField}" />
                               {!$ObjectType.FM_Load_Request__c.Fields.Load_Weight__c.Label} {!If(sortOptions.sortField == 'Load_Request__r.Load_Weight__c', If(Begins(sortOptions.sortDirection, 'asc'), '▲', '▼'), '')}
                           </apex:commandLink>
                       </apex:facet>
                       {!tt.aTruckTrip.Load_Request__r.Load_Weight__c}
                   </apex:column>
<!-- Sour -->
                    <apex:column width="50px" style="white-space: nowrap" styleClass="{!If(tt.aTruckTrip.Sour__c, 'sourGas', IF(tt.isCleanLoad, 'cleanLoad', ''))}">
                        <apex:facet name="header">
                            <apex:commandLink action="{!SortToggle}" reRender="resultTable" status="ajaxStatus">
                                <apex:param name="SortField" value="Sour__c" assignTo="{!sortOptions.sortField}" />
                                {!$ObjectType.FM_Truck_Trip__c.Fields.Sour__c.Label} {!If(sortOptions.sortField == 'Sour__c', If(Begins(sortOptions.sortDirection, 'asc'), '▲', '▼'), '')}
                            </apex:commandLink>
                        </apex:facet>
                        <apex:outputField value="{!tt.aTruckTrip.Sour__c}"/>
                    </apex:column>
<!-- Facility -->
<!--
NOTE:  This column displays a mixture of Location_Lookup__c and Facility_Lookup__c, but the sorting is done by another column: Facility__c.
-->
                    <!-- sd 09/08/2016 - Made change to render white when facility selected is none -->
                    <apex:column id="ttfacilitycolumn" width="50px" style="white-space: nowrap;" styleClass="{!IF(NOT(tt.isDestinationFacilityPopulated), If(tt.aTruckTrip.Sour__c, 'sourGas',IF(tt.isCleanLoad, 'cleanLoad', '')), IF(OR(tt.aTruckTrip.Truck_Trip_Status__c == TRUCKTRIP_STATUS_GIVENBACK, tt.aTruckTrip.Truck_Trip_Status__c == TRUCKTRIP_STATUS_CANCELLED), '',IF(tt.isDestinationFacilityAtCapacity,'destinationFacilityAtCapacity', 'destinationFacilityBelowCapacity')))}">
                        <apex:facet name="header">
                            <apex:outputPanel >
                                <apex:commandLink action="{!SortToggle}" reRender="resultTable" status="ajaxStatus">
                                    <apex:param name="SortField" value="Facility__c" assignTo="{!sortOptions.sortField}" />
                                    Destination - Facility {!If(sortOptions.sortField == 'Facility__c', If(Begins(sortOptions.sortDirection, 'asc'), '▲', '▼'), '')}
                                </apex:commandLink><br/>
                            </apex:outputPanel>


                        </apex:facet>
                        <apex:outputpanel id="panelFacility">
                            <apex:selectList id="facilityPicklist" value="{!tt.aFacilityPicklistValue}" size="1" label="Facility"
                                                rendered="{!(runSheetDateTodayInd || (runSheetDateOldButBeforeDeadlineInd && tt.aTruckTrip.Shift__c = 'Day')) || tt.aTruckTrip.Truck_Trip_Status__c == 'Exported'}"
                                                styleClass="facility-picklist changeDropdown" disabled="{!OR(OR(tt.aTruckTrip.Truck_Trip_Status__c == TRUCKTRIP_STATUS_GIVENBACK, tt.aTruckTrip.Truck_Trip_Status__c == TRUCKTRIP_STATUS_CANCELLED), IF(NOT(ISBLANK(tt.aTruckTrip.Well__c)), true, false))}">
                                <apex:selectOptions value="{!tt.facilitySelectOptions}"/>

                                <apex:actionSupport event="onchange" action="{!tt.SplitFacilityAndLocation}" reRender="resultTable" status="ajaxStatus"/>
                            </apex:selectList>

                            <!-- use outputText so the data will not show as a link -->
                            <apex:outputText value="{!tt.aTruckTrip.Facility_Lookup__r.Facility_Name_for_Fluid__c}" rendered="{!!runSheetDateTodayInd && (!runSheetDateOldButBeforeDeadlineInd || tt.aTruckTrip.Shift__c <> 'Day') && tt.aTruckTrip.Facility_Type__c = 'Facility'  && tt.aTruckTrip.Truck_Trip_Status__c != 'Exported'}" />
                            <apex:outputText value="{!tt.aTruckTrip.Location_Lookup__r.Location_Name_for_Fluid__c}" rendered="{!!runSheetDateTodayInd && (!runSheetDateOldButBeforeDeadlineInd || tt.aTruckTrip.Shift__c <> 'Day') && tt.aTruckTrip.Facility_Type__c = 'Location'} && tt.aTruckTrip.Truck_Trip_Status__c != 'Exported'" />

                            <!-- customize destination favorites button -->
                            &nbsp;
                            <apex:commandLink action="{!tt.CutomizeDestinationFavoritesRedirect}" rendered="{!(runSheetDateTodayInd || (runSheetDateOldButBeforeDeadlineInd && tt.aTruckTrip.Shift__c = 'Day') || tt.aTruckTrip.Truck_Trip_Status__c == 'Exported')}" onclick="tempDisableBeforeUnload = true;" immediate="true" html-formnovalidate="formnovalidate">
                                <apex:image value="/img/icon/custom51_100/gears16.png" title="Customize Destination Favorites" />
                            </apex:commandLink>
                        </apex:outputpanel>

                        <apex:outputPanel id="nothing"></apex:outputPanel>
                    </apex:column>

<!-- Well Location -->
                    <apex:column width="150px" style="white-space: nowrap;" styleClass="{!If(tt.aTruckTrip.Sour__c, 'sourGas', IF(tt.isCleanLoad, 'cleanLoad', ''))}" rendered="{!displayWellColumn}">
                        <apex:facet name="header">
                            <apex:outputPanel >
                                <apex:commandLink action="{!SortToggle}" reRender="resultTable" status="ajaxStatus">
                                    <apex:param name="SortField" value="Well__r.Name" assignTo="{!sortOptions.sortField}" />
                                    Destination - Well {!If(sortOptions.sortField == 'Well__r.Name', If(Begins(sortOptions.sortDirection, 'asc'), '▲', '▼'), '')}
                                </apex:commandLink><br />
                            </apex:outputPanel>
                        </apex:facet>

                        <apex:actionRegion >

                            <apex:outputpanel id="panelWell">
                                <apex:inputField id="ttwell" style="width: 200px;" value="{!tt.aTruckTrip.Well__c}" rendered="{!(tt.aTruckTrip.Location_Lookup__c == tt.aTruckTrip.Well__c || tt.aFacilityPicklistValue == '' || tt.aFacilityPicklistValue == null) && (runSheetDateTodayInd || (runSheetDateOldButBeforeDeadlineInd && tt.aTruckTrip.Shift__c = 'Day') || tt.aTruckTrip.Truck_Trip_Status__c == 'Exported') && (tt.aFacilityPicklistValue == '' || tt.aFacilityPicklistValue == null || tt.aTruckTrip.Well__c != null) && (tt.aTruckTrip.Load_Type__c != null) && (tt.aTruckTrip.Truck_Trip_Status__c != TRUCKTRIP_STATUS_CANCELLED)}" styleClass="changeDropdown" >
                                        <apex:actionSupport event="onchange" reRender="panelFacility" action="{!tt.populateLocationLookup}" status="ajaxStatus"/>
                                </apex:inputField>

                                <apex:outputField html-disabled="true" value="{!tt.aTruckTrip.Well__c}" rendered="{!(!runSheetDateTodayInd && (!runSheetDateOldButBeforeDeadlineInd || tt.aTruckTrip.Shift__c <> 'Day') && tt.aTruckTrip.Truck_Trip_Status__c != 'Exported') || (tt.aFacilityPicklistValue != '' && tt.aTruckTrip.Well__c == null) || (tt.aTruckTrip.Truck_Trip_Status__c == TRUCKTRIP_STATUS_CANCELLED)}" />

                            </apex:outputpanel>
                        </apex:actionRegion>
                    </apex:column>
<!-- Carrier - Unit # -->
                    <apex:column width="50px" style="white-space: nowrap" styleClass="{!If(tt.aTruckTrip.Sour__c, 'sourGas', IF(tt.isCleanLoad, 'cleanLoad', ''))}">
                        <apex:facet name="header">
                            <apex:outputPanel >
                                <apex:commandLink action="{!SortToggle}" reRender="resultTable" status="ajaxStatus">
                                    <apex:param name="SortField" value="Unit__r.Name" assignTo="{!sortOptions.sortField}" />
                                    {!$ObjectType.FM_Truck_Trip__c.Fields.Carrier__c.Label} - {!$ObjectType.FM_Truck_Trip__c.Fields.Unit__c.Label} {!If(sortOptions.sortField == 'Unit__r.Name', If(Begins(sortOptions.sortDirection, 'asc'), '▲', '▼'), '')}
                                </apex:commandLink><br/>
                            </apex:outputPanel>
                        </apex:facet>
                        <apex:actionRegion >
                            <apex:selectList value="{!tt.carrierUnit}" size="1" label="Carrier - Unit #" disabled="{!tt.aTruckTrip.Truck_Trip_Status__c == TRUCKTRIP_STATUS_CANCELLED || tt.aTruckTrip.Truck_Trip_Status__c == TRUCKTRIP_STATUS_GIVENBACK}" rendered="{!runSheetDateTodayInd || (runSheetDateOldButBeforeDeadlineInd && tt.aTruckTrip.Shift__c = 'Day') || tt.aTruckTrip.Truck_Trip_Status__c == 'Exported'}" styleClass="changeDropdown">
                                <apex:selectOption itemValue="" itemLabel="--None--" />
                                <apex:selectOptions value="{!carrierUnitSelectOptionsWithEmptyCarriers}" />
                            </apex:selectList>
                        </apex:actionRegion>
                        <apex:outputText value="{!tt.carrierUnitReadOnly}" rendered="{!!runSheetDateTodayInd && (!runSheetDateOldButBeforeDeadlineInd || tt.aTruckTrip.Shift__c <> 'Day') && tt.aTruckTrip.Truck_Trip_Status__c != 'Exported'}" />
                    </apex:column>

<!-- Shift -->
                    <apex:column width="50px" style="white-space: nowrap" styleClass="{!If(tt.aTruckTrip.Sour__c, 'sourGas', IF(tt.isCleanLoad, 'cleanLoad', ''))}">
                        <apex:facet name="header">
                            <apex:outputPanel >
                                <apex:commandLink action="{!SortToggle}" reRender="resultTable" status="ajaxStatus">
                                    <apex:param name="SortField" value="Shift__c" assignTo="{!sortOptions.sortField}" />
                                    {!$ObjectType.FM_Truck_Trip__c.Fields.Shift__c.Label} {!If(sortOptions.sortField == 'Shift__c', If(Begins(sortOptions.sortDirection, 'asc'), '▲', '▼'), '')}
                                </apex:commandLink><br/>
                            </apex:outputPanel>
                        </apex:facet>
                        <!--sd 08/08/2016 Fixed issue with rendering of destination facility column when shift changes-->
                        <apex:selectList value="{!tt.dispatchShift}" size="1" rendered="{!runSheetDateTodayInd  || tt.aTruckTrip.Truck_Trip_Status__c == 'Exported'}" styleClass="changeDropdown" disabled="{!tt.aTruckTrip.Truck_Trip_Status__c == TRUCKTRIP_STATUS_CANCELLED || tt.aTruckTrip.Truck_Trip_Status__c == TRUCKTRIP_STATUS_GIVENBACK}" >
                            <apex:selectOptions value="{!shiftSelectOptionList}" />
                            <apex:actionSupport event="onchange" action="{!tt.setShiftAndPlannedDate}" reRender="resultTable" status="ajaxStatus"/>
                        </apex:selectList>
                        <apex:outputText value="{!IF(tt.dispatchShift == 'day:today', 'Day - Today', IF(tt.dispatchShift == 'night:today', 'Night - Today', IF(tt.dispatchShift == 'night:yesterday', 'Night - Yesterday', 'Day - Tomorrow')))}" rendered="{!!runSheetDateTodayInd && tt.aTruckTrip.Truck_Trip_Status__c != 'Exported'}"/>
                    </apex:column>
<!-- Status-->
                    <apex:column width="50px" style="white-space: nowrap;text-align:center" styleClass="{!If(tt.aTruckTrip.Sour__c, 'sourGas', IF(tt.isCleanLoad, 'cleanLoad', ''))}">
                        <apex:facet name="header">
                            <apex:outputPanel >
                                <apex:commandLink action="{!SortToggle}" reRender="resultTable" status="ajaxStatus">
                                    <apex:param name="SortField" value="Truck_Trip_Status__c" assignTo="{!sortOptions.sortField}" />
                                    Truck Trip<br/>Status {!If(sortOptions.sortField == 'Truck_Trip_Status__c', If(Begins(sortOptions.sortDirection, 'asc'), '▲', '▼'), '')}
                                </apex:commandLink><br/>
                            </apex:outputPanel>
                        </apex:facet>
                        <apex:selectList value="{!tt.aTruckTrip.Truck_Trip_Status__c}" size="1" label="Status" rendered="{!runSheetDateTodayInd || (runSheetDateOldButBeforeDeadlineInd && tt.aTruckTrip.Shift__c = 'Day')}"
                            styleClass="changeSet" disabled="{!tt.aTruckTrip.Truck_Trip_Status__c == TRUCKTRIP_STATUS_CANCELLED || tt.aTruckTrip.Truck_Trip_Status__c == TRUCKTRIP_STATUS_GIVENBACK}" >
                            <apex:selectOptions value="{!statusSelectOptionListForEntry}" />
                            <apex:actionSupport event="onchange" action="{!openCancelPopup}" rerender="cancelPopup" status="ajaxStatus" >
                                <apex:param name="truckTripId" value="{!tt.aTruckTrip.Id}"/>
                                <apex:param name="oldTruckTripStatus" value="{!tt.aTruckTrip.Truck_Trip_Status__c}"/>
                            </apex:actionSupport>
                        </apex:selectList>
                        <apex:outputField value="{!tt.aTruckTrip.Truck_Trip_Status__c}" rendered="{!!runSheetDateTodayInd && (!runSheetDateOldButBeforeDeadlineInd || tt.aTruckTrip.Shift__c <> 'Day')}" />
                    </apex:column>

                </apex:pageBlockTable>

            </apex:pageBlock>
        </apex:outputPanel>

        <!-- Cancel Popup -->
        <apex:outputPanel id="cancelPopup" styleClass="popup-wrapper">
            <apex:outputPanel layout="block" rendered="{!showCancelPopup}">
                <apex:outputPanel styleClass="popupBackground" layout="block" />
                <apex:outputPanel styleClass="custPopup" layout="block">
                    <apex:pageBlock mode="maindetial" title="Please enter reason for cancelling requested load" >
                        <apex:pageBlockSection collapsible="false" columns="1" showHeader="false">
                            <apex:pageMessage summary="{!cancelError}" severity="error" rendered="{!isCancelError}"/>
                            <apex:selectList value="{!truckTripCancel.Load_Request_Cancel_Reason__c}" label="" size="1">
                                <apex:selectOptions value="{!LoadRequestCancelReasons}" />
                                <apex:actionSupport event="onchange" action="{!handleCancelPopupReasonChange}" reRender="cancelPopup"/>
                            </apex:selectList>
                            <apex:inputField value="{!truckTripCancel.Load_Request_Cancel_Comments__c}" label="" rendered="{!truckTripCancel.Load_Request_Cancel_Reason__c == 'Other'}"/>
                            <apex:outputText value="Note: Cancellation of the truck trip will result in cancellation of the load and the load cannot be rebooked. You will have to create a new Load Request to rebook the load." />
                        </apex:pageBlockSection>
                        <apex:pageBlockButtons location="bottom">
                            <apex:commandButton value="Confirm" action="{!confirmCancelPopup}" rerender="cancelPopup,resultTable" status="ajaxStatus" />
                            <apex:commandButton value="Close" action="{!closeCancelPopup}" rerender="cancelPopup,resultTable" status="ajaxStatus" />
                        </apex:pageBlockButtons>
                </apex:pageBlock>
                </apex:outputPanel>
            </apex:outputPanel>
        </apex:outputPanel>

    </apex:form>
    <script type="text/javascript">
    function setFocusOnLoad(){}
    </script>

</apex:page>